package org.jeecg.modules.adweb.seo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.v3.oas.annotations.media.Schema;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 历史达标站点关键词达标数据表
 * @Author: jeecg-boot
 * @Date:   2024-10-16
 * @Version: V1.0
 */
@Data
@TableName("history_reach_standard_site")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="历史达标站点关键词达标数据表")
public class HistoryReachStandardSite implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
	/**站点code*/
	@Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;
	/**达标时间*/
	@Excel(name = "达标时间", width = 15)
    @Schema(description = "达标时间")
    private String reachStandardTime;
	/**达标天数*/
	@Excel(name = "达标天数", width = 15)
    @Schema(description = "达标天数")
    private Integer reachStandardDays;
	/**服务天数*/
	@Excel(name = "服务天数", width = 15)
    @Schema(description = "服务天数")
    private Integer remainServerDays;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
}
