package org.jeecg.modules.adweb.seo.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: seo_kpi_statistics
 * @Author: jeecg-boot
 * @Date:   2024-10-09
 * @Version: V1.0
 */
@Data
@TableName("seo_kpi_statistics")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="seo_kpi_statistics")
public class SeoKpiStatistics implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private Integer id;
	/**站点code或营销方案code*/
	@Excel(name = "站点code或营销方案code", width = 15)
    @Schema(description = "站点code或营销方案code")
    private String hostCode;
	/**营销方案name*/
	@Excel(name = "营销方案name", width = 15)
    @Schema(description = "营销方案name")
    private String planName;
	/**0营销方案，1站点*/
	@Excel(name = "0营销方案，1站点", width = 15)
    @Schema(description = "0营销方案，1站点")
    private Integer type;
	/**指标名称*/
	@Excel(name = "指标名称", width = 15)
    @Schema(description = "指标名称")
    private String kpiName;
	/**指标code*/
	@Excel(name = "指标code", width = 15)
    @Schema(description = "指标code")
    private String kpiCode;
	/**指标目标*/
	@Excel(name = "指标目标", width = 15)
    @Schema(description = "指标目标")
    private Integer kpiTarget;
	/**已完成目标*/
	@Excel(name = "已完成目标", width = 15)
    @Schema(description = "已完成目标")
    private Integer finishTarget;
	/**0未完成、1完成*/
	@Excel(name = "0未完成、1完成", width = 15)
    @Schema(description = "0未完成、1完成")
    private Integer finishStatus;
	/**完成时间*/
	@Excel(name = "完成时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "完成时间")
    private Date finishTime;
	/**完成人的id*/
	@Excel(name = "完成人的id", width = 15)
    @Schema(description = "完成人的id")
    private String finishUid;
	/**服务开始时间*/
	@Excel(name = "服务开始时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "服务开始时间")
    private Date startTime;
	/**服务结束时间*/
	@Excel(name = "服务结束时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "服务结束时间")
    private Date endTime;
	/**比重，总和为100*/
	@Excel(name = "比重，总和为100", width = 15)
    @Schema(description = "比重，总和为100")
    private Integer proportion;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Double sort;
	/**此纪录创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "此纪录创建时间")
    private Date createTime;
	/**0未删除、1已删除*/
	@Excel(name = "0未删除、1已删除", width = 15)
    @Schema(description = "0未删除、1已删除")
    @TableLogic
    private Integer delFlag;
	/**套餐id*/
	@Excel(name = "套餐id", width = 15)
    @Schema(description = "套餐id")
    private String planId;
	/**对应套餐绑定表ID*/
	@Excel(name = "对应套餐绑定表ID", width = 15)
    @Schema(description = "对应套餐绑定表ID")
    private String historyId;
}
