package org.jeecg.modules.adweb.seo.service.dataforseo;

import io.github.dataforseo.client.ApiClient;
import io.github.dataforseo.client.api.SerpApi;
import io.github.dataforseo.client.auth.HttpBasicAuth;

import jakarta.annotation.PostConstruct;

import org.jeecg.modules.adweb.seo.entity.SeoKeywordsSerp;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * @author wfansh
 */
@Service
public class DataForSEOService {

    @Value("${dataforseo.username}")
    private String username;

    @Value("${dataforseo.password}")
    private String password;

    @Value("${dataforseo.api-path}")
    private String apiPath;

    private SerpApi serpApi;

    @PostConstruct
    private void init() {
        ApiClient defaultClient = io.github.dataforseo.client.Configuration.getDefaultApiClient();
        defaultClient.setBasePath(apiPath);
        // HTTP超时 - 30秒
        defaultClient.setConnectTimeout(30 * 1000);

        // API认证方式 - basicAuth
        HttpBasicAuth basicAuth = (HttpBasicAuth) defaultClient.getAuthentication("basicAuth");
        basicAuth.setUsername(username);
        basicAuth.setPassword(password);

        this.serpApi = new SerpApi(defaultClient);
    }

    /**
     * 从DataForSEO拉取keywords serp数据，同步到{@link SeoKeywordsSerp}表
     *
     * @param keywordType 1 - 指定词; 2 - 长尾词
     */
    public void syncKeywordsSerp(int keywordType) {
        // 1. 查询待更新keywords


//        // TODO: 判断网站状态
//        List<GoogleGTM> googleGTMS = googleGTMService.list();
//
//        for (GoogleGTM googleGTM : googleGTMS) {
//            // 每个帐号同步更新三张报表
//            try {
//                this.syncGACountryReport(googleGTM);
//                this.syncGASourceMediumReport(googleGTM);
//                this.syncGAPagePathReport(googleGTM);
//            } catch (RuntimeException e) {
//                log.warn("同步GA报表异常, siteId = {], error = {}", googleGTM.getSiteId(), e);
//            }
//        }
    }
}
